UI::GXML::CodeException< Code > Class Template Reference

Adding code facility to Exception. More...

`#include <Exception.hpp>`

Inheritance diagram for UI::GXML::CodeException< Code >:
Collaboration diagram for UI::GXML::CodeException< Code >:

## Public Member Functions

| CodeException (Code const &code, std::string const &what=NoWhatGiven_, std::string const &debug=NoDebugGiven_)
| Construct with code and description text.
Code const & | getCode () const
| Get code.
Public Member Functions inherited from UI::GXML::Exception
| Exception (std::string const &what=NoWhatGiven_, std::string const &debug=NoDebugGiven_)

## Detailed Description

template<typename Code = int>
class UI::GXML::CodeException< Code >

Adding code facility to Exception.

The documentation for this class was generated from the following file:

- Exception.hpp